Name: x11-driver-input-wacom
Version: 1.2.1
Release: %mkrel 1
Summary: X.org input driver for Wacom tablets
Group: System/X11
URL: https://sourceforge.net/projects/linuxwacom/
Source0: https://github.com/linuxwacom/xf86-input-wacom/releases/download/xf86-input-wacom-%version/xf86-input-wacom-%version.tar.xz
License: GPLv2+
BuildRequires: pkgconfig(inputproto)
BuildRequires: pkgconfig(kbproto)
BuildRequires: pkgconfig(libudev)
BuildRequires: pkgconfig(randrproto)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xi)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(xorg-server) >= 1.19.0
BuildRequires: pkgconfig(xproto)
BuildRequires: pkgconfig(xrandr)

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

Obsoletes: linuxwacom <= 0.8.4
Provides: linuxwacom = %{version}-%{release}


%description
X.Org X11 wacom input driver for Wacom tablets.

%package devel
Summary: Development files for %{name}
Group: Development/X11
License: MIT

%description devel
Development files for %{name}

%prep
%setup -q -n xf86-input-wacom-%{version}

%build
./autogen.sh

%configure2_5x \
	--with-systemd-unit-dir=no \
    --with-udev-rules-dir=/lib/udev/rules.d/

%make_build

%install
rm -rf %buildroot
%make_install

#drop this
rm -f %buildroot/%{_libdir}/xorg/modules/input/wacom_drv.la

%files
%{_bindir}/*
%{_libdir}/xorg/modules/input/wacom_drv.so
%{_datadir}
/lib/udev/rules.d/wacom.rules

%files devel
%{_includedir}/xorg/*
%{_libdir}/pkgconfig/xorg-wacom.pc

%changelog
* Tue Apr 02 2024 tex - 1.2.1-1pclos2024
- new version

* Sat Apr 08 2023 tex - 1.2.0-1pclos2023
- new version
